Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Controller\URLAlias Class Reference

URLAlias controller. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Controller\URLAlias:

## Public Member Functions
| __construct (URLAliasService $urlAliasService, LocationService $locationService)
| Construct controller. More...
| loadURLAlias ($urlAliasId)
| Returns the URL alias with the given ID. More...
| listGlobalURLAliases ()
| Returns the list of global URL aliases. More...
| listLocationURLAliases ($locationPath, Request $request)
| Returns the list of URL aliases for a location. More...
| createURLAlias (Request $request)
| Creates a new URL alias. More...
| deleteURLAlias ($urlAliasId)
| The given URL alias is deleted. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| setInputDispatcher (InputDispatcher $inputDispatcher)
| setRouter (RouterInterface $router)
| setRepository (Repository $repository)
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $urlAliasService
| $locationService
Protected Attributes inherited from eZ\Publish\Core\REST\Server\Controller
| $inputDispatcher
| $router
| $requestParser
| $repository

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| getMediaType (Request $request)
| Extracts the requested media type from $request. More...

## Detailed Description

URLAlias controller.

Definition at line 21 of file Core/REST/Server/Controller/URLAlias.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Controller\URLAlias::__construct | ( | URLAliasService | $urlAliasService,
|  | LocationService | $locationService
| ) |  |

Construct controller.

Parameters

  \eZ\Publish\API\Repository\URLAliasService | $urlAliasService |
  \eZ\Publish\API\Repository\LocationService | $locationService |

Definition at line 43 of file Core/REST/Server/Controller/URLAlias.php.

References eZ\Publish\Core\REST\Server\Controller\URLAlias\$locationService, and eZ\Publish\Core\REST\Server\Controller\URLAlias\$urlAliasService.

## Member Function Documentation

## ◆ createURLAlias()

eZ\Publish\Core\REST\Server\Controller\URLAlias::createURLAlias | ( | Request | $request | ) |

Creates a new URL alias.

Exceptions

Definition at line 107 of file Core/REST/Server/Controller/URLAlias.php.

## ◆ deleteURLAlias()

eZ\Publish\Core\REST\Server\Controller\URLAlias::deleteURLAlias | ( |  | $urlAliasId | ) |

The given URL alias is deleted.

Parameters

  $urlAliasId |

Returns
  \eZ\Publish\Core\REST\Server\Values\NoContent

Definition at line 165 of file Core/REST/Server/Controller/URLAlias.php.

## ◆ listGlobalURLAliases()

eZ\Publish\Core\REST\Server\Controller\URLAlias::listGlobalURLAliases | ( |  | ) |

Returns the list of global URL aliases.

Returns
  \eZ\Publish\Core\REST\Server\Values\URLAliasRefList

Definition at line 66 of file Core/REST/Server/Controller/URLAlias.php.

## ◆ listLocationURLAliases()

eZ\Publish\Core\REST\Server\Controller\URLAlias::listLocationURLAliases | ( |  | $locationPath,
|  | Request | $request
| ) |  |

Returns the list of URL aliases for a location.

Parameters

  $locationPath |

Returns
  \eZ\Publish\Core\REST\Server\Values\URLAliasRefList

Definition at line 81 of file Core/REST/Server/Controller/URLAlias.php.

## ◆ loadURLAlias()

eZ\Publish\Core\REST\Server\Controller\URLAlias::loadURLAlias | ( |  | $urlAliasId | ) |

Returns the URL alias with the given ID.

Parameters

  $urlAliasId |

Returns
  \eZ\Publish\API\Repository\Values\Content\URLAlias

Definition at line 56 of file Core/REST/Server/Controller/URLAlias.php.

## Member Data Documentation

## ◆ $locationService

eZ\Publish\Core\REST\Server\Controller\URLAlias::$locationService
| protected

Definition at line 35 of file Core/REST/Server/Controller/URLAlias.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\URLAlias\__construct().

## ◆ $urlAliasService

eZ\Publish\Core\REST\Server\Controller\URLAlias::$urlAliasService
| protected

Definition at line 28 of file Core/REST/Server/Controller/URLAlias.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\URLAlias\__construct().

The documentation for this class was generated from the following file:

- Core/REST/Server/Controller/URLAlias.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.